<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo eliminar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
	&& Varios::hasModuleActionAccess(8, 4)
   	&& isset($_POST["par1"]) && $_POST["par1"] != ""
) {	
	$funcionarioIdCod 	= filter_var($_POST["par1"], FILTER_SANITIZE_STRING);
	$funcionarioId 		= filter_var( Varios::decodifica($funcionarioIdCod), FILTER_SANITIZE_NUMBER_INT);
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Funcionario.Class.php');
	$funcionario_obj = new Funcionario(null);
	$auditoria_accion   = "Delete";
	$auditoria_tabla    = "funcionario, usuario";
	$auditoria_sql      = "EXEC agenda.SP_funcionario_eliminar ".$funcionarioId;	
	$funcionario_resultado = $funcionario_obj->eliminarFuncionario($funcionarioId);

	$mensaje = $funcionario_resultado[1];
	$resultado = $funcionario_resultado[0];
	if($resultado > 0) {		
		$correcto 	= true;
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );			
	$funcionario_obj->Close();
} else {
	$mensaje = 'Los parámetros recibidos NO son válidos';	
}

$data = array(
			'success' => $correcto, 
			'mensaje' => $mensaje,
			'sesion'  => $sesion
		);
echo json_encode($data);
?>